[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Graphics' (#lcl)

# TFontData

A record holding Data about the current Font

## Declaration

Source position: graphics.pp line 64

`type TFontData = record`
`Handle: HFONT;` |  | The Operating System Handle for the current Font
`Height: Integer;` |  | The Height (in pixels) if the current Font
`Pitch: TFontPitch;` |  | The Pitch (in points) of the currentFont
`Style: TFontStylesbase;` |  | The Style of the Font
`CharSet: TFontCharSet;` |  | The Character Set of the current Font (expresed as an integer)
`Quality: TFontQuality;` |  | Output Quality of the current Font, such as antialiasing
`Name: TFontDataName;` |  | The Name (as a string) of the current Font
`Orientation: Integer;`
`end;`

The latest version of this document can be found at lazarus-ccr.sourceforge.net .